// cmd/tmpl/init.go
package tmpl

import "github.com/spf13/cobra"

// Cmd 是 sunhpc tmpl 的根命令
func NewTmplCmd() *cobra.Command {
	cmd := &cobra.Command{
		Use:   "tmpl",
		Short: "管理配置模板",
		Long:  "从 YAML 模板生成配置文件或脚本，支持变量替换和多阶段执行",
	}

	cmd.AddCommand(newRenderCmd())
	cmd.AddCommand(newDumpCmd())
	return cmd
}
